Bug 66649 - TUX web server (PDF files fail to display in browser component)
TUX web server (PDF files fail to display in browser component)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 18:34 EDT by william rose
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 15:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description william rose 2002-06-12 18:34:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
I just upgraded 6-8-2002 to kernel 2.4.9-31 to resolve the security issues with 
tux. As of this morning, when a link targets a PDF file on the web server, tux 
fails to deliver it correctly, possibly not at all. To test this, I shut down 
tux and started Apache up and all links were then available. When tux _is_ 
running, you can right click on the link and save the file to your disk. From 
there it can be opened with a PDF reader. This leads me to believe that the 
Acrobat reader ActiveX component on windows, and the plugin on the Linux 
version, are using a corrupt content-size header to determine how much data to 
request over the wire. It is a known fact that browsers generally ignore the 
content-size header, thus right clicking and saving the file is successful 
through the browser. It is by these facts that I believe the content-size 
header is corrupt when tux sends it. This is occuring intermittenly.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Run tux (seemed to be running for a few days before showing up).
2. Open browser.
3. Click on a PDF link.
	

Additional info:
Comment 1 william rose 2002-06-12 19:01:30 EDT
Forgot to mention:
HP LPr Netservers, 1 dual 550MHz, 1 dual 850MHz (both PIII)
1-18 Gig SCSI /var partition with ext3
1-18 Gig SCSI divided up between /boot and / with ext3
Symbios SCSI

Software from RedHat 7.2 install running:
Samba
NFS 

Kernel 2.4.9-31 tux and required proc utils
Comment 2 Michael K. Johnson 2002-07-12 09:40:00 EDT
I think this is a kernel side, not a tux daemon side, issue.
Comment 3 Ingo Molnar 2003-07-05 04:05:48 EDT
Please re-check with the current Tux kernel - still problematic?

Note You need to log in before you can comment on or make changes to this bug.